### Method

# EDataServer Source set_enabled

since: 3.6

#### Declaration [src]

    void
    e_source_set_enabled (
      ESource* source,
      gboolean enabled
    )

#### Description [src]

Enables or disables `source`.

An application should try to honor this setting if at all possible, even if it does not provide a way to change the setting through its user interface. Disabled data sources should generally be hidden.

Available since: 3.6

Sets property | `EDataServer.Source:enabled`

#### Parameters

`enabled`

  Type: `gboolean`

  Whether to enable `source`.